PrefabFiles = {
	"olaf_eyebone",
	"olaf_c",
}

Assets = {
	Asset( "IMAGE", "images/map_icons/olaf_eyebone.tex" ),
	Asset( "ATLAS", "images/map_icons/olaf_eyebone.xml" ),
	
	Asset( "IMAGE", "images/map_icons/olaf_c.tex" ),
	Asset( "ATLAS", "images/map_icons/olaf_c.xml" ),

	Asset("BRAIN", "scripts/brains/olafbrain_c.lua"),
}

local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local STRINGS = GLOBAL.STRINGS

-- Custom items
STRINGS.NAMES.OLAF_C = "Olaf bag"
STRINGS.NAMES.OLAF_EYEBONE = "Olaf snowstick"
STRINGS.RECIPE_DESC.OLAF_EYEBONE = "Snowman?"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.OLAF_EYEBONE = "Feels pretty cold."

local eyebonerecipe = GLOBAL.Recipe("olaf_eyebone",
{ Ingredient("ice", 20), Ingredient("bluegem", 1) },                      
    GLOBAL.RECIPETABS.DRESS, GLOBAL.TECH.NONE)
    eyebonerecipe.atlas = "images/inventoryimages/olaf_eyebone.xml"
    
AddMinimapAtlas("images/map_icons/olaf_eyebone.xml")
AddMinimapAtlas("images/map_icons/olaf_c.xml")